Module java.base
Package javax.crypto

# Class DecapsulateException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.security.GeneralSecurityException
javax.crypto.DecapsulateException

All Implemented Interfaces:
  `Serializable`

public class DecapsulateException extends GeneralSecurityException
An exception that is thrown by the `KEM.Decapsulator.decapsulate(byte[])` method to denote an error during decapsulation.

API Note:
  This class is defined in Java SE 17 Maintenance Release 1.
Since:
  17
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DecapsulateException(String message)`
Creates a `DecapsulateException` with the specified detail message.
`DecapsulateException(String message, Throwable cause)`
Creates a `DecapsulateException` with the specified detail message and cause.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DecapsulateException

public DecapsulateException(String message)
Creates a `DecapsulateException` with the specified detail message.

Parameters:
  `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).

### DecapsulateException

public DecapsulateException(String message, Throwable cause)
Creates a `DecapsulateException` with the specified detail message and cause.

Parameters:
  `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
  `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)